import moment from 'moment'

moment.locale('zh-cn')

export function formatDate (value, type) {
  value=parseInt(value)
  if (!value) {
    return value
  }
  const now = Date.now()
  const diff = now - value
  const oneDay = 24 * 60 * 60 * 1000
  if (diff < oneDay) {
    return format(new Date(value),'hh:mm')
  } else if (diff < 2 * oneDay) {
    return '昨天'
  } else if (type) {
    return format(new Date(value),'yyyy-MM-dd hh:mm')
  } else {
    return ''
  }
}
export function format(date, fmt) {
  if (/(y+)/.test(fmt)) {
    fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
  }
  let o = {
    'M+': date.getMonth() + 1,
    'd+': date.getDate(),
    'h+': date.getHours(),
    'm+': date.getMinutes(),
    's+': date.getSeconds()
  };
  for (let k in o) {
    if (new RegExp(`(${k})`).test(fmt)) {
      let str = o[k] + '';
      fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1) ? str : padLeftZero(str));
    }
  }
  return fmt;
}
function padLeftZero (str) {
  return ('00' + str).substr(str.length);
}
